Commits

Anonymous committed 592de44

Fixing NetworkManager Slackbuild and adding supporing data files

  • Participants
  • Parent commits 75889a2

Comments (0)

Files changed (4)

File var/vabs/NetworkManager/src/55NetworkManager

+#!/bin/sh
+# If we are running NetworkManager, tell it we are going to sleep.
+# TODO: Make NetworkManager smarter about how to handle sleep/resume
+#       If we are asleep for less time than it takes for TCP to reset a
+#       connection, and we are assigned the same IP on resume, we should
+#       not break established connections.  Apple can do this, and it is
+#       rather nifty.
+
+. "${PM_FUNCTIONS}"
+
+suspend_nm()
+{
+	# Tell NetworkManager to shut down networking
+        printf "Having NetworkManager put all interaces to sleep..."
+	dbus_send --system                         \
+		--dest=org.freedesktop.NetworkManager  \
+		/org/freedesktop/NetworkManager        \
+		org.freedesktop.NetworkManager.sleep && \
+	    echo Done. || echo Failed.
+}
+
+resume_nm()
+{
+	# Wake up NetworkManager and make it do a new connection
+	printf "Having NetworkManager wake interfaces back up..."
+        dbus_send --system                        \
+		--dest=org.freedesktop.NetworkManager \
+		/org/freedesktop/NetworkManager       \
+		org.freedesktop.NetworkManager.wake && \
+	    echo Done. || echo Failed.
+}
+
+case "$1" in
+	hibernate|suspend)
+		suspend_nm
+		;;
+	thaw|resume)
+		resume_nm
+		;;
+	*) exit $NA
+		;;
+esac

File var/vabs/NetworkManager/src/NetworkManager.SlackBuild

 VERSION=${VERSION:-"0.8.5.92"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+LINK=${LINK:-"http://ftp.acc.umu.se/pub/GNOME/sources/$NAME/0.8/$NAME-$VERSION.tar.xz"}  
+#Enter URL for package here!
 
 
 #SYSTEM VARIABLES

File var/vabs/NetworkManager/src/NetworkManager.conf.new

+# /etc/NetworkManager/NetworkManager.conf
+#
+# See NetworkManager.conf(5) for more information on this file
+
+[main]
+plugins=keyfile
+dhcp=dhcpcd
+
+[keyfile]
+hostname=yourhostname
+

File var/vabs/NetworkManager/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+              |-----handy-ruler------------------------------------------------------|
+NetworkManager: NetworkManager (Networking that Just Works)
+NetworkManager:
+NetworkManager: NetworkManager attempts to keep an active network connection 
+NetworkManager: available at all times.  The point of NetworkManager is to make 
+NetworkManager: networking configuration and setup as painless and automatic as 
+NetworkManager: possible.  NetworkManager is intended to replace default route, 
+NetworkManager: replace other routes, set IP addresses, and in general configure 
+NetworkManager: networking as NM sees fit (with the possibility of manual override 
+NetworkManager: as necessary).  
+NetworkManager:
+NetworkManager: